<?php

namespace KupShop\AdminBundle\AdminRegister;

interface IAdminRegisterStatic
{
    /**
     * @return array [['type' => string, 'modules' => string[], 'rights' => string[], 'superadmin' => bool], ...]
     */
    public static function getPermissions(): array;

    /**
     * @return array [['menu' => string, 'item' => array], ...]
     */
    public static function getMenu(): array;
}
